Bug 1178162 - Review Request: springframework-data-commons - Interfaces between relational and non-relational data stores
Summary: Review Request: springframework-data-commons - Interfaces between relational ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1178149 1231953
Blocks: 1215061
TreeView+ depends on / blocked
 
Reported: 2015-01-02 15:59 UTC by gil cattaneo
Modified: 2015-07-10 19:05 UTC (History)
2 users (show)

Fixed In Version: springframework-data-commons-1.8.4-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:05:29 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-01-02 15:59:21 UTC
Spec URL: https://gil.fedorapeople.org/springframework-data-commons.spec
SRPM URL: https://gil.fedorapeople.org/springframework-data-commons-1.8.4-1.fc21.src.rpm
Description:
Spring Data Commons is part of the umbrella Spring Data project that
provides shared infrastructure across the Spring Data projects. Most
importantly at the moment it contains technology neutral repository
interfaces as well as a metadata model for persisting Java classes.

Features:
° Powerful Repository and custom object-mapping abstractions
° Support for cross-store persistence
° Dynamic query generation from query method names
° Implementation domain base classes providing basic properties
° Support for transparent auditing (created, last changed)
° Possibility to integrate custom repository code
° Easy Spring integration with custom namespace
Fedora Account System Username: gil

Comment 2 Jerry James 2015-05-31 03:32:27 UTC
I will take this review.

Comment 3 gil cattaneo 2015-05-31 19:54:55 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9898514

Comment 5 Jerry James 2015-06-02 03:07:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     springframework-data-commons-javadoc
[?]: Package functions as described.
[!]: Latest version is packaged.
     1.8.5 and 1.9.2 are available
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: springframework-data-commons-1.8.4-1.fc23.noarch.rpm
          springframework-data-commons-javadoc-1.8.4-1.fc23.noarch.rpm
          springframework-data-commons-1.8.4-1.fc23.src.rpm
springframework-data-commons.noarch: W: spelling-error Summary(en_US) datastore -> data store, data-store, devastator
springframework-data-commons.noarch: E: summary-too-long C Interfaces and code shared between the various datastore specific implementations
springframework-data-commons.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
springframework-data-commons.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
springframework-data-commons.src: W: spelling-error Summary(en_US) datastore -> data store, data-store, devastator
springframework-data-commons.src: E: summary-too-long C Interfaces and code shared between the various datastore specific implementations
springframework-data-commons.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
springframework-data-commons.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
springframework-data-commons.noarch: W: spelling-error Summary(en_US) datastore -> data store, data-store, devastator
springframework-data-commons.noarch: E: summary-too-long C Interfaces and code shared between the various datastore specific implementations
springframework-data-commons.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
springframework-data-commons.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
2 packages and 0 specfiles checked; 1 errors, 3 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/jamesjer/1178162-springframework-data-commons/srpm/springframework-data-commons.spec	2015-06-01 20:35:13.355015542 -0600
+++ /home/jamesjer/1178162-springframework-data-commons/srpm-unpacked/springframework-data-commons.spec	2015-05-31 17:37:28.000000000 -0600
@@ -24,4 +24,5 @@
 BuildRequires: mvn(javax.servlet:javax.servlet-api)
 BuildRequires: mvn(joda-time:joda-time)
+#BuildRequires: mvn(org.slf4j:slf4j-api)
 BuildRequires: mvn(org.springframework:spring-beans)
 BuildRequires: mvn(org.springframework:spring-context)
@@ -120,4 +121,6 @@
 </executions>'
 
+#%% pom_add_dep org.slf4j:slf4j-api
+
 %mvn_file : %{oname}
 


Requires
--------
springframework-data-commons (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-core)

springframework-data-commons-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
springframework-data-commons:
    mvn(org.springframework.data:spring-data-commons)
    mvn(org.springframework.data:spring-data-commons:pom:)
    osgi(org.springframework.data.core)
    springframework-data-commons

springframework-data-commons-javadoc:
    springframework-data-commons-javadoc



Source checksums
----------------
https://github.com/spring-projects/spring-data-commons/archive/1.8.4.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : e9d97ee20b51022398378209e85de0e5b2b4ff1a3a3df20489a159f1aefe98ed
  CHECKSUM(SHA256) upstream package : e9d97ee20b51022398378209e85de0e5b2b4ff1a3a3df20489a159f1aefe98ed


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1178162 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Jerry James 2015-06-02 03:31:03 UTC
There are a few small SHOULD issues, which do not block approval, namely:
- Patches link to upstream bugs/comments/lists or are otherwise justified.
- The spec file in the link and the spec file in the source rpm differ, so be sure to check in the right one.
- If you want to preserve timestamps on license.txt and notice.txt, replace these two lines in %prep:

cp -p src/main/resources/*.txt .
sed -i 's/\r//' *.txt

with these lines:

cp -p src/main/resources/*.txt .
sed -i.orig 's/\r//' *.txt
touch -r license.txt.orig license.txt
touch -r notice.txt.orig notice.txt

This package is APPROVED.

Comment 7 gil cattaneo 2015-06-02 03:50:41 UTC
(In reply to Jerry James from comment #6)
> There are a few small SHOULD issues, which do not block approval, namely:
> - Patches link to upstream bugs/comments/lists or are otherwise justified.
The comment "Port to querydsl 4.0.0" is not enough?
Upstream is already aware of the problem. But for this release there is nothing to do
> - The spec file in the link and the spec file in the source rpm differ, so
> be sure to check in the right one.
Fixed
> - If you want to preserve timestamps on license.txt and notice.txt, replace
> these two lines in %prep:
Timestamps should be stored using the macros (%doc %license) ..., or not?
> This package is APPROVED.

Thanks for the review!

Spec URL: https://gil.fedorapeople.org/springframework-data-commons.spec
SRPM URL: https://gil.fedorapeople.org/springframework-data-commons-1.8.4-2.fc20.src.rpm

- summary changed in "Interfaces between relational and non-relational data stores"
- cleanup spec file
- fix some rpmlint problems

Comment 8 gil cattaneo 2015-06-02 03:53:20 UTC
New Package SCM Request
=======================
Package Name: springframework-data-commons
Short Description: Interfaces between relational and non-relational data stores
Upstream URL: http://projects.spring.io/spring-data/
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 9 Gwyn Ciesla 2015-06-02 13:08:56 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-06-30 00:44:34 UTC
springframework-data-commons-1.8.4-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/springframework-data-commons-1.8.4-4.fc22

Comment 11 Fedora Update System 2015-06-30 20:19:12 UTC
springframework-data-commons-1.8.4-4.fc22 has been pushed to the Fedora 22 testing repository.

Comment 12 Fedora Update System 2015-07-10 19:05:29 UTC
springframework-data-commons-1.8.4-4.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.